package com.ssj.service.weixin.problem.service;

import com.ssj.bean.sys.fx.domain.MerchantOut;
import com.ssj.bean.weixin.problem.domain.CnArea;
import com.ssj.framework.core.common.service.BaseService;
import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;

import java.util.List;
import java.util.Map;


public interface CnAreaService extends BaseService<CnArea, String>{
	/**
	 * 
	* 创建人:zhanglin
	* @param @param searchParams
	* @param @param pageable
	* @param @return       
	* 方法说明：学校列表
	 * @date 2017年12月14日 下午3:25:44
	 */
	Page<Map<String, Object>> findCnAreaPage(Map<String, Object> searchParams, Pageable pageable);
	/**
	 * 
	* 创建人:zhanglin
	* @param @param city
	* @param @param name
	* @param @return       
	* 方法说明：查询父ID
	 * @date 2017年12月14日 下午3:25:40
	 */
	public String getName(String city ,String name);
	
	
	/**
	 * 
	* 创建人:wuwen
	* @param @param city
	* @param @param name
	* @param @return       
	* 方法说明：查询
	 * @date 2017年12月15日16:12:33
	 */
	public List<CnArea> findByTypeList(String type);
	public List<CnArea> findByTypeList(String type,String upId);
	public Long countByTypeList(String type,String upId,String name);
	public List<CnArea> findByTypeList(String type,String upId,String name,Integer pageNo,Integer pageSize);
	
	/**
	 * 根据定位获取最近的一个
	* @param league_lat
	* @param league_lng
	* @param type
	* @return
	* 创建人：ZhangCaibao 
	* 2017年12月25日 下午3:09:43 
	* @String
	 */
	public String getLocationArea(String league_lat, String league_lng,Integer type);

	public List<CnArea> findListByCreateTime(String createTime);
	/**
	 * @param
	 * @return
	 * 方法说明:查询经纬度为空的学校列表
	 * 创建时间:2019/6/26 10:47
	 * @author yangcan
	 */
	public List<CnArea> findLatLngIsNullList();

	/**
	 * @param schoolName
	 * @return
	
	 * 方法说明:获取学校对应的教材版本号
	
	 * 创立日期:2019年3月26日 下午3:49:03
	 * 创建人:yangcan
	
	 */
	public int getTextBookBanben(String schoolName);

	public List<String> findByName(String name);

	public List<String> findBySchoolName(String startTime,String endTime);

    List<Map<String, Object>> findCnAreaAll(Map<String, Object> params);

    Page<MerchantOut> findMerchantByPage(Map<String, Object> params, Pageable initPage);
}
